#include <iostream>

using namespace std;

int main()
{
    long long int n,b=0;
    cin >> n;
    while (n!=0)
    {
        if (n%10>=5)
        {
            b++;
            n-=5;
        }
        if (n%10>=2)
        {
            b++;
            n-=2;
        }
        if (n%10>=1)
            b++;
        n/=10;
    }
    cout << b << endl;
    return 0;
}